Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdEJournal.EjDocumentType

java.lang.Object
java.lang.Enum<cmdEJournal.EjDocumentType>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdEJournal.EjDocumentType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdEJournal.EjDocumentType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdEJournal

    public static enum cmdEJournal.EjDocumentType
    extends java.lang.Enum<cmdEJournal.EjDocumentType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `AllTypes` |
  `CancelledReceipts` |
  `DailyX` |
  `DailyZ` |
  `FiscalInvoice_StornoInvoice` |
  `FiscalReceipts` |
  `FiscalRreceiptsStorno` |
  `Invoice` |
  `InvoiceReceiptsStorno` |
  `Nonfiscal` |
  `PaidoutReceipts` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdEJournal.EjDocumentType` | `fromOrdinal​(int n)` |
  `static cmdEJournal.EjDocumentType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdEJournal.EjDocumentType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AllTypes

    public static final cmdEJournal.EjDocumentType AllTypes

  - ### FiscalReceipts

    public static final cmdEJournal.EjDocumentType FiscalReceipts

  - ### DailyZ

    public static final cmdEJournal.EjDocumentType DailyZ

  - ### Invoice

    public static final cmdEJournal.EjDocumentType Invoice

  - ### Nonfiscal

    public static final cmdEJournal.EjDocumentType Nonfiscal

  - ### PaidoutReceipts

    public static final cmdEJournal.EjDocumentType PaidoutReceipts

  - ### FiscalRreceiptsStorno

    public static final cmdEJournal.EjDocumentType FiscalRreceiptsStorno

  - ### InvoiceReceiptsStorno

    public static final cmdEJournal.EjDocumentType InvoiceReceiptsStorno

  - ### CancelledReceipts

    public static final cmdEJournal.EjDocumentType CancelledReceipts

  - ### DailyX

    public static final cmdEJournal.EjDocumentType DailyX

  - ### FiscalInvoice_StornoInvoice

    public static final cmdEJournal.EjDocumentType FiscalInvoice_StornoInvoice

- ## Method Details

  - ### values

    public static cmdEJournal.EjDocumentType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdEJournal.EjDocumentType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### fromOrdinal

    public static cmdEJournal.EjDocumentType fromOrdinal​(int n)